## r-cran-matchit 3.0.1

=== DESCRIPTION ===
Package: MatchIt
Version: 3.0.1
Date: 2017-04-18
Title: Nonparametric Preprocessing for Parametric Casual Inference
Description: Selects matched samples of the original treated and
    control groups with similar covariate distributions -- can be
    used to match exactly on covariates, to match on propensity
    scores, or perform a variety of other matching procedures.  The
    package also implements a series of recommendations offered in
    Ho, Imai, King, and Stuart (2007) <DOI:10.1093/pan/mpl013>.
Authors@R: c(
  person("Daniel", "Ho", , "daniel.e.ho@gmail.com", c("aut")),
  person("Kosuke", "Imai", , "kimai@Princeton.Edu", c("aut", "cre")),
  person("Gary", "King", , "king@harvard.edu", c("aut")),
  person("Elizabeth", "Stuart", , "stuart@stat.harvard.edu", c("aut")),
  person("Alex", "Whitworth", , "whitworth.alex@gmail.com", c("ctb"))
  )
Maintainer: Kosuke Imai <kimai@Princeton.Edu>
Depends: R (>= 2.6)
Imports: MASS, Matching, rgenoud
Suggests: cem, nnet, optmatch, rpart, mgcv, WhatIf, R.rsp, testthat
VignetteBuilder: R.rsp
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://gking.harvard.edu/matchit
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-04-18 12:13:20 UTC; kimai
Author: Daniel Ho [aut],
  Kosuke Imai [aut, cre],
  Gary King [aut],
  Elizabeth Stuart [aut],
  Alex Whitworth [ctb]
Repository: CRAN
Date/Publication: 2017-04-18 13:04:21 UTC

=== debian/changelog ===
r-cran-matchit (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Moved packaging Debian Science to Git
  * Debian Science team maintenance
  * cme fix dpkg-control
  * Standards-Version: 4.1.2
  * debhelper 10
  * Convert packaging from cdbs to dh-r
  * Secure URI in watch file
  * Rename source package to r-cran-matchit
  * Canonical homepage for CRAN packages
  * Add autopkgtest
  * DEP5
  * New Build-Depends: r-cran-rgenoud, r-cran-matching

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2017 08:01:46 +0100

matchit (2.4-21-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Feb 2014 20:34:19 -0500

matchit (2.4-20-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 03 Apr 2013 03:56:53 -0400

matchit (2.4-18-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 May 2011 13:12:58 -0500

matchit (2.4-17-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 04 Apr 2011 19:47:32 -0500

matchit (2.4-16-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 10:57:54 -0600

matchit (2.4-13-2) unstable; urgency=low

  * Update for VR bundle split.
  * Pull in additional suggested R packages (mgcv, rpart).

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 12 Apr 2010 23:47:55 -0500

matchit (2.4-13-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Oct 2009 22:13:50 -0500

matchit (2.4-11-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Jul 2009 18:52:12 -0500

matchit (2.4-10-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Mar 2009 22:05:43 -0500

matchit (2.4-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 28 Jul 2008 05:47:59 -0500

matchit (2.2-11-2) unstable; urgency=high

  * Add empty postrm to r-other-gking-matchit to make upgrades from sarge
    happy.  (Closes: #410951)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  7 Mar 2007 00:28:28 -0600

matchit (2.2-11-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Jul 2006 20:47:18 -0400

matchit (2.2-10-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  1 Jun 2006 16:15:32 -0400

matchit (2.2-7-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Apr 2006 06:48:36 -0400

matchit (2.2-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Dec 2005 08:45:23 -0500

matchit (2.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 Oct 2005 15:26:00 -0400

matchit (2.1-3-1) unstable; urgency=low

  * New upstream release.
  * Remove post{rm,inst}, bump depends accordingly.
  * Include build and binary dependencies on r-cran-vr and r-cran-zelig.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  8 Oct 2005 19:56:57 -0400

matchit (1.0-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 25 Aug 2005 01:26:04 -0400

matchit (1.0-1-2) unstable; urgency=low

  * Rename binary package to r-cran-matchit, per R naming policy.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Jun 2005 00:58:56 -0500

matchit (1.0-1-1) unstable; urgency=low

  * New upstream release.
  * Update upstream URL in debian/watch and debian/copyright.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Jan 2005 04:59:53 -0600

matchit (0.1-8-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Oct 2004 21:55:33 -0500

matchit (0.1-5-2) unstable; urgency=low

  * Rebuild for R 2.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Oct 2004 00:33:21 -0500

matchit (0.1-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 15 Aug 2004 23:55:47 -0500

matchit (0.1-4-1) unstable; urgency=low

  * Initial Debian Release.  (Closes: #255309)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 23 Mar 2004 13:07:33 -0600

=== debian/control ===
Source: r-cran-matchit
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Chris Lawrence <lawrencc@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Build-Depends-Indep: r-cran-mass,
                     r-cran-nnet,
                     r-cran-mgcv,
                     r-cran-rpart,
                     r-cran-rgenoud,
                     r-cran-matching
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-matchit.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-matchit.git
Homepage: https://cran.r-project.org/package=MatchIt

Package: r-cran-matchit
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package of nonparametric matching methods
 MatchIt implements the suggestions of Ho, Imai, King, and Stuart
 (2004) for improving parametric statistical models by preprocessing
 data with nonparametric matching methods.
 .
 MatchIt implements a wide range of sophisticated matching methods,
 making it possible to greatly reduce the dependence of causal
 inferences on hard-to-justify, but commonly made, statistical
 modeling assumptions. The software also easily fits into existing
 research practices since, after preprocessing with MatchIt,
 researchers can use whatever parametric model they would have used
 without MatchIt, but produce inferences with substantially more
 robustness and less sensitivity to modeling assumptions. MatchIt is
 an R program, and also works seamlessly within Zelig.

## r-cran-matchit 3.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: MatchIt
-Version: 3.0.1
-Date: 2017-04-18
-Title: Nonparametric Preprocessing for Parametric Casual Inference
+Version: 3.0.2
+Date: 2018-01-09
+Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
     used to match exactly on covariates, to match on propensity
@@ -17,20 +17,21 @@
   )
 Maintainer: Kosuke Imai <kimai@Princeton.Edu>
 Depends: R (>= 2.6)
-Imports: MASS, Matching, rgenoud
-Suggests: cem, nnet, optmatch, rpart, mgcv, WhatIf, R.rsp, testthat
+Imports: MASS, Matching
+Suggests: cem, nnet, optmatch, rpart, mgcv, WhatIf, R.rsp, testthat,
+        rgenoud
 VignetteBuilder: R.rsp
 LazyLoad: yes
 LazyData: yes
 License: GPL (>= 2)
 URL: http://gking.harvard.edu/matchit
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-04-18 12:13:20 UTC; kimai
+Packaged: 2018-01-09 08:31:17 UTC; kimai
 Author: Daniel Ho [aut],
   Kosuke Imai [aut, cre],
   Gary King [aut],
   Elizabeth Stuart [aut],
   Alex Whitworth [ctb]
 Repository: CRAN
-Date/Publication: 2017-04-18 13:04:21 UTC
+Date/Publication: 2018-01-09 17:41:26 UTC

=== debian/changelog ===
r-cran-matchit (3.0.2-5build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:39:14 +0000

r-cran-matchit (3.0.2-5) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:34:38 +0200

r-cran-matchit (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 09:31:34 +0100

r-cran-matchit (3.0.2-3) UNRELEASED; urgency=medium

  * Team upload.
  * Add r-cran-rgenoud to test-deps

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 09:23:32 +0100

r-cran-matchit (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Drop Build-Depends-Indep

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 17:41:12 +0200

r-cran-matchit (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2018 15:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: r-cran-matchit
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-r
-Build-Depends-Indep: r-cran-mass,
-                     r-cran-nnet,
-                     r-cran-mgcv,
-                     r-cran-rpart,
-                     r-cran-rgenoud,
-                     r-cran-matching
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-matchit.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-matchit.git
+Build-Depends: debhelper-compat (= 12),
+               dh-r,
+               r-base-dev,
+               r-cran-mass,
+               r-cran-matching
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt
+Rules-Requires-Root: no
 
 Package: r-cran-matchit
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rgenoud
Restrictions: allow-stderr

## r-cran-matchit 4.1.0

=== DESCRIPTION ===
Package: MatchIt
Version: 4.1.0
Title: Nonparametric Preprocessing for Parametric Causal Inference
Description: Selects matched samples of the original treated and
    control groups with similar covariate distributions -- can be
    used to match exactly on covariates, to match on propensity
    scores, or perform a variety of other matching procedures.  The
    package also implements a series of recommendations offered in
    Ho, Imai, King, and Stuart (2007) <DOI:10.1093/pan/mpl013>.
Authors@R: c(
  person("Daniel", "Ho", email = "daniel.e.ho@gmail.com", role = c("aut"),
         comment = c(ORCID = "0000-0002-2195-5469")),
  person("Kosuke", "Imai", email = "imai@harvard.edu", role = c("aut"),
         comment = c(ORCID = "0000-0002-2748-1022")),
  person("Gary", "King", email = "king@harvard.edu", role = c("aut"),
         comment = c(ORCID = "0000-0002-5327-7631")),
  person("Elizabeth", "Stuart", email = "estuart@jhu.edu", role = c("aut"),
         comment = c(ORCID = "0000-0002-9042-8611")),
  person("Alex", "Whitworth", email = "whitworth.alex@gmail.com", role = c("ctb")),
  person("Noah", "Greifer", role = c("ctb", "cre", "aut"), 
         email = "noah.greifer@gmail.com",
	       comment = c(ORCID="0000-0003-3067-7154"))
  )
Depends: R (>= 3.1.0)
Imports: backports (>= 1.1.9), Rcpp (>= 1.0.5)
Suggests: optmatch, Matching, rgenoud, nnet, rpart, mgcv, CBPS (>=
        0.17), dbarts, randomForest, cobalt (>= 4.2.3), boot, lmtest,
        sandwich (>= 2.5-1), survival, RcppProgress (>= 0.4.2), knitr,
        rmarkdown
LinkingTo: Rcpp, RcppProgress
SystemRequirements: C++11
Encoding: UTF-8
LazyData: true
License: GPL (>= 2)
URL: https://kosukeimai.github.io/MatchIt/,
        https://github.com/kosukeimai/MatchIt
BugReports: https://github.com/kosukeimai/MatchIt/issues
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-12-15 08:43:44 UTC; NoahGreifer
Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
  Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
  Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
  Elizabeth Stuart [aut] (<https://orcid.org/0000-0002-9042-8611>),
  Alex Whitworth [ctb],
  Noah Greifer [ctb, cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
Maintainer: Noah Greifer <noah.greifer@gmail.com>
Repository: CRAN
Date/Publication: 2020-12-15 12:50:02 UTC

=== debian/changelog ===
r-cran-matchit (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Dec 2020 16:40:38 +0530

r-cran-matchit (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 05 Dec 2020 02:11:17 +0530

r-cran-matchit (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Upstream has removed test suite
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 14:35:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-mass,
-               r-cran-matching
-Standards-Version: 4.5.0
+               r-cran-backports (>= 1.1.9),
+               r-cran-rcpp (>= 1.0.5),
+               r-cran-rcppprogress
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt
 Rules-Requires-Root: no
 
 Package: r-cran-matchit
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-matchit 4.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Package: MatchIt
-Version: 4.1.0
+Version: 4.3.3
 Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
     used to match exactly on covariates, to match on propensity
     scores, or perform a variety of other matching procedures.  The
     package also implements a series of recommendations offered in
-    Ho, Imai, King, and Stuart (2007) <DOI:10.1093/pan/mpl013>.
+    Ho, Imai, King, and Stuart (2007) <DOI:10.1093/pan/mpl013>. (The 
+    'gurobi' package, which is not on CRAN, is optional and comes with 
+    an installation of the Gurobi Optimizer, available at 
+    <https://www.gurobi.com>.)
 Authors@R: c(
   person("Daniel", "Ho", email = "daniel.e.ho@gmail.com", role = c("aut"),
          comment = c(ORCID = "0000-0002-2195-5469")),
@@ -22,10 +25,11 @@
 	       comment = c(ORCID="0000-0003-3067-7154"))
   )
 Depends: R (>= 3.1.0)
-Imports: backports (>= 1.1.9), Rcpp (>= 1.0.5)
+Imports: backports (>= 1.1.9), Rcpp (>= 1.0.7)
 Suggests: optmatch, Matching, rgenoud, nnet, rpart, mgcv, CBPS (>=
-        0.17), dbarts, randomForest, cobalt (>= 4.2.3), boot, lmtest,
-        sandwich (>= 2.5-1), survival, RcppProgress (>= 0.4.2), knitr,
+        0.17), dbarts, randomForest, glmnet (>= 4.0), gbm (>= 2.1.7),
+        cobalt (>= 4.2.3), boot, lmtest, sandwich (>= 2.5-1), survival,
+        RcppProgress (>= 0.4.2), Rglpk, Rsymphony, gurobi, knitr,
         rmarkdown
 LinkingTo: Rcpp, RcppProgress
 SystemRequirements: C++11
@@ -37,7 +41,7 @@
 BugReports: https://github.com/kosukeimai/MatchIt/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-12-15 08:43:44 UTC; NoahGreifer
+Packaged: 2022-01-16 08:21:34 UTC; NoahGreifer
 Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
   Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
   Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
@@ -46,4 +50,4 @@
   Noah Greifer [ctb, cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
 Maintainer: Noah Greifer <noah.greifer@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-15 12:50:02 UTC
+Date/Publication: 2022-01-20 22:52:44 UTC

=== debian/changelog ===
r-cran-matchit (4.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 20:25:48 +0100

r-cran-matchit (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 23:14:50 +0530

r-cran-matchit (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.1

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Nov 2021 02:24:47 +0530

r-cran-matchit (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:14:00 +0200

r-cran-matchit (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 14:36:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.9),
-               r-cran-rcpp (>= 1.0.5),
-               r-cran-rcppprogress
-Standards-Version: 4.5.1
+               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcppprogress,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt

## r-cran-matchit 4.4.0

=== debian/changelog ===
r-cran-matchit (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 23:14:40 +0200

r-cran-matchit (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:21:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: r-cran-matchit
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
+Homepage: https://cran.r-project.org/package=MatchIt
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.9),
                r-cran-rcpp (>= 1.0.7),
-               r-cran-rcppprogress,
-               debhelper
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
-Homepage: https://cran.r-project.org/package=MatchIt
-Rules-Requires-Root: no
+               r-cran-rcppprogress
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-matchit
 Architecture: any

## r-cran-matchit 4.5.0

=== debian/changelog ===
r-cran-matchit (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 11:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.9),
-               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcpp,
                r-cran-rcppprogress
 Testsuite: autopkgtest-pkg-r

## r-cran-matchit 4.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: MatchIt
-Version: 4.3.3
+Version: 4.5.1
 Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
@@ -20,19 +20,19 @@
   person("Elizabeth", "Stuart", email = "estuart@jhu.edu", role = c("aut"),
          comment = c(ORCID = "0000-0002-9042-8611")),
   person("Alex", "Whitworth", email = "whitworth.alex@gmail.com", role = c("ctb")),
-  person("Noah", "Greifer", role = c("ctb", "cre", "aut"), 
+  person("Noah", "Greifer", role = c("cre", "aut"), 
          email = "noah.greifer@gmail.com",
 	       comment = c(ORCID="0000-0003-3067-7154"))
   )
-Depends: R (>= 3.1.0)
-Imports: backports (>= 1.1.9), Rcpp (>= 1.0.7)
-Suggests: optmatch, Matching, rgenoud, nnet, rpart, mgcv, CBPS (>=
-        0.17), dbarts, randomForest, glmnet (>= 4.0), gbm (>= 2.1.7),
-        cobalt (>= 4.2.3), boot, lmtest, sandwich (>= 2.5-1), survival,
-        RcppProgress (>= 0.4.2), Rglpk, Rsymphony, gurobi, knitr,
-        rmarkdown
+Depends: R (>= 3.5.0)
+Imports: backports (>= 1.1.9), Rcpp (>= 1.0.10)
+Suggests: optmatch (>= 0.10.6), Matching, rgenoud, quickmatch (>=
+        0.2.1), nnet, rpart, mgcv, CBPS (>= 0.17), dbarts, randomForest
+        (>= 4.7-1), glmnet (>= 4.0), gbm (>= 2.1.7), cobalt (>= 4.2.3),
+        boot, marginaleffects (>= 0.9.0), sandwich (>= 2.5-1),
+        survival, RcppProgress (>= 0.4.2), Rglpk, Rsymphony, gurobi,
+        knitr, rmarkdown
 LinkingTo: Rcpp, RcppProgress
-SystemRequirements: C++11
 Encoding: UTF-8
 LazyData: true
 License: GPL (>= 2)
@@ -40,14 +40,15 @@
         https://github.com/kosukeimai/MatchIt
 BugReports: https://github.com/kosukeimai/MatchIt/issues
 VignetteBuilder: knitr
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-01-16 08:21:34 UTC; NoahGreifer
+Packaged: 2023-02-22 17:01:39 UTC; NoahGreifer
 Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
   Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
   Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
   Elizabeth Stuart [aut] (<https://orcid.org/0000-0002-9042-8611>),
   Alex Whitworth [ctb],
-  Noah Greifer [ctb, cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
+  Noah Greifer [cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
 Maintainer: Noah Greifer <noah.greifer@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-20 22:52:44 UTC
+Date/Publication: 2023-02-23 11:50:06 UTC

=== debian/changelog ===
r-cran-matchit (4.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2023 21:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.9),
-               r-cran-rcpp,
+               r-cran-rcpp (>= 1.0.10),
                r-cran-rcppprogress
 Testsuite: autopkgtest-pkg-r

## r-cran-matchit 4.5.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: MatchIt
-Version: 4.5.1
+Version: 4.5.4
 Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
@@ -25,11 +25,12 @@
 	       comment = c(ORCID="0000-0003-3067-7154"))
   )
 Depends: R (>= 3.5.0)
-Imports: backports (>= 1.1.9), Rcpp (>= 1.0.10)
+Imports: backports (>= 1.1.9), chk (>= 0.8.1), rlang (>= 1.1.0), Rcpp,
+        utils, stats, graphics
 Suggests: optmatch (>= 0.10.6), Matching, rgenoud, quickmatch (>=
         0.2.1), nnet, rpart, mgcv, CBPS (>= 0.17), dbarts, randomForest
         (>= 4.7-1), glmnet (>= 4.0), gbm (>= 2.1.7), cobalt (>= 4.2.3),
-        boot, marginaleffects (>= 0.9.0), sandwich (>= 2.5-1),
+        boot, marginaleffects (>= 0.11.0), sandwich (>= 2.5-1),
         survival, RcppProgress (>= 0.4.2), Rglpk, Rsymphony, gurobi,
         knitr, rmarkdown
 LinkingTo: Rcpp, RcppProgress
@@ -42,7 +43,7 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-02-22 17:01:39 UTC; NoahGreifer
+Packaged: 2023-06-13 17:36:36 UTC; NoahGreifer
 Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
   Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
   Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
@@ -51,4 +52,4 @@
   Noah Greifer [cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
 Maintainer: Noah Greifer <noah.greifer@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-23 11:50:06 UTC
+Date/Publication: 2023-06-14 08:22:20 UTC

=== debian/changelog ===
r-cran-matchit (4.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 21:59:29 +0200

## r-cran-matchit 4.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: MatchIt
-Version: 4.5.4
+Version: 4.5.5
 Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
@@ -31,8 +31,8 @@
         0.2.1), nnet, rpart, mgcv, CBPS (>= 0.17), dbarts, randomForest
         (>= 4.7-1), glmnet (>= 4.0), gbm (>= 2.1.7), cobalt (>= 4.2.3),
         boot, marginaleffects (>= 0.11.0), sandwich (>= 2.5-1),
-        survival, RcppProgress (>= 0.4.2), Rglpk, Rsymphony, gurobi,
-        knitr, rmarkdown
+        survival, RcppProgress (>= 0.4.2), highs, Rglpk, Rsymphony,
+        gurobi, knitr, rmarkdown, testthat (>= 3.0.0)
 LinkingTo: Rcpp, RcppProgress
 Encoding: UTF-8
 LazyData: true
@@ -42,8 +42,9 @@
 BugReports: https://github.com/kosukeimai/MatchIt/issues
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-06-13 17:36:36 UTC; NoahGreifer
+Packaged: 2023-10-12 22:26:23 UTC; NoahGreifer
 Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
   Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
   Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
@@ -52,4 +53,4 @@
   Noah Greifer [cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
 Maintainer: Noah Greifer <noah.greifer@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-06-14 08:22:20 UTC
+Date/Publication: 2023-10-13 06:40:03 UTC

=== debian/changelog ===
r-cran-matchit (4.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 11:05:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: r-cran-matchit
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-backports,
+               r-cran-chk,
+               r-cran-rlang (>= 1.1.0),
+               r-cran-rcpp,
+               r-cran-rcppprogress
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-backports (>= 1.1.9),
-               r-cran-rcpp (>= 1.0.10),
-               r-cran-rcppprogress
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-matchit
 Architecture: any

## r-cran-matchit 4.7.0

=== debian/changelog ===
r-cran-matchit (4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 07 Feb 2025 08:44:19 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-rlang (>= 1.1.0),
                r-cran-rcpp,
                r-cran-rcppprogress
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt

## r-cran-matchit 4.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: MatchIt
-Version: 4.5.5
+Version: 4.7.1
 Title: Nonparametric Preprocessing for Parametric Causal Inference
 Description: Selects matched samples of the original treated and
     control groups with similar covariate distributions -- can be
@@ -24,15 +24,15 @@
          email = "noah.greifer@gmail.com",
 	       comment = c(ORCID="0000-0003-3067-7154"))
   )
-Depends: R (>= 3.5.0)
+Depends: R (>= 3.6.0)
 Imports: backports (>= 1.1.9), chk (>= 0.8.1), rlang (>= 1.1.0), Rcpp,
-        utils, stats, graphics
+        utils, stats, graphics, grDevices
 Suggests: optmatch (>= 0.10.6), Matching, rgenoud, quickmatch (>=
-        0.2.1), nnet, rpart, mgcv, CBPS (>= 0.17), dbarts, randomForest
-        (>= 4.7-1), glmnet (>= 4.0), gbm (>= 2.1.7), cobalt (>= 4.2.3),
-        boot, marginaleffects (>= 0.11.0), sandwich (>= 2.5-1),
-        survival, RcppProgress (>= 0.4.2), highs, Rglpk, Rsymphony,
-        gurobi, knitr, rmarkdown, testthat (>= 3.0.0)
+        0.2.1), nnet, rpart, mgcv, CBPS (>= 0.17), dbarts (>= 0.9-28),
+        randomForest (>= 4.7-1), glmnet (>= 4.0), gbm (>= 2.1.7),
+        cobalt (>= 4.2.3), boot, marginaleffects (>= 0.25.0), sandwich
+        (>= 2.5-1), survival, RcppProgress (>= 0.4.2), highs, Rglpk,
+        Rsymphony, gurobi, knitr, rmarkdown, testthat (>= 3.0.0)
 LinkingTo: Rcpp, RcppProgress
 Encoding: UTF-8
 LazyData: true
@@ -41,10 +41,10 @@
         https://github.com/kosukeimai/MatchIt
 BugReports: https://github.com/kosukeimai/MatchIt/issues
 VignetteBuilder: knitr
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-10-12 22:26:23 UTC; NoahGreifer
+Packaged: 2025-03-09 14:36:53 UTC; NoahGreifer
 Author: Daniel Ho [aut] (<https://orcid.org/0000-0002-2195-5469>),
   Kosuke Imai [aut] (<https://orcid.org/0000-0002-2748-1022>),
   Gary King [aut] (<https://orcid.org/0000-0002-5327-7631>),
@@ -53,4 +53,4 @@
   Noah Greifer [cre, aut] (<https://orcid.org/0000-0003-3067-7154>)
 Maintainer: Noah Greifer <noah.greifer@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-13 06:40:03 UTC
+Date/Publication: 2025-03-10 00:20:02 UTC

=== debian/changelog ===
r-cran-matchit (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 16:49:49 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-rlang (>= 1.1.0),
                r-cran-rcpp,
                r-cran-rcppprogress
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/MatchIt_(.*)\.tar\.gz

## r-cran-matchit 4.7.2

=== debian/changelog ===
r-cran-matchit (4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 12:02:00 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                r-cran-chk,
                r-cran-rlang (>= 1.1.0),
                r-cran-rcpp,
-               r-cran-rcppprogress
-Standards-Version: 4.7.2
+               r-cran-rcppprogress,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matchit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matchit.git
 Homepage: https://cran.r-project.org/package=MatchIt
